[packages/hitch] up to 1.1.0

glen glen at pld-linux.org
Tue Dec 29 13:32:53 CET 2015


commit 66353eba298b3cca0d4a9663bf2fe9525fc10e9c
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Tue Dec 29 14:29:51 2015 +0200

    up to 1.1.0
    
    synced with fedora, 6577e73

 hitch-1.0.0-beta4.syslog.patch                 | 21 -----------
 hitch-1.0.1_tests_nobody_group.patch           | 48 ++++++++++++++++++++++++++
 hitch-1.1.0_stronger_ciphers.e7be033.patch     | 22 ++++++++++++
 hitch.clean_test_processes.patch               | 46 ------------------------
 hitch.initrc.redhat.patch                      |  4 +--
 hitch.spec                                     | 34 +++++++++---------
 hitch.systemd.service.patch                    |  2 +-
 hitch.test07_missing_curl_resolve_on_el6.patch |  6 ++--
 8 files changed, 92 insertions(+), 91 deletions(-)
---
diff --git a/hitch.spec b/hitch.spec
index 7e40308..722efd6 100644
--- a/hitch.spec
+++ b/hitch.spec
@@ -2,23 +2,20 @@
 # Conditional build:
 %bcond_with	tests		# run tests. needs internet connection
 
-%define	commit		b1ee595d7803dbdd403b554eb4ec0416d00efeb3
-%define	shortcommit	%(c=%{commit}; echo ${c:0:7})
-
 Summary:	Network proxy that terminates TLS/SSL connections
 Name:		hitch
-Version:	1.0.0
-Release:	0.4.3.beta4
+Version:	1.1.0
+Release:	1
 License:	BSD
 Group:		Daemons
-Source0:	https://github.com/varnish/hitch/archive/%{commit}/%{name}-%{commit}.tar.gz
-# Source0-md5:	05184c997ddf1d167ae15adfbc9195e5
+Source0:	https://hitch-tls.org/source/%{name}-%{version}.tar.gz
+# Source0-md5:	f8b916e8739f55432ec8af5146e522ed
 Patch0:		%{name}.systemd.service.patch
 Patch1:		%{name}.initrc.redhat.patch
-Patch3:		%{name}.clean_test_processes.patch
+Patch3:		%{name}-1.0.1_tests_nobody_group.patch
 Patch4:		%{name}.test07_missing_curl_resolve_on_el6.patch
-Patch5:		%{name}-1.0.0-beta4.syslog.patch
-URL:		https://github.com/varnish/hitch
+Patch5:		%{name}-1.1.0_stronger_ciphers.e7be033.patch
+URL:		https://hitch-tls.org/
 BuildRequires:	libev-devel
 BuildRequires:	libtool
 BuildRequires:	openssl
@@ -43,7 +40,7 @@ handle 10s of thousands of connections efficiently on multicore
 machines.
 
 %prep
-%setup -qn %{name}-%{commit}
+%setup -q
 %patch0
 %patch1
 %patch3
@@ -51,16 +48,15 @@ machines.
 %patch5 -p1
 
 %build
-./bootstrap
 CFLAGS="%{rpmcflags} -fPIE"
 LDFLAGS="-pie"
 CPPFLAGS="-I%{_includedir}/libev"
 %configure
 %{__make}
-sed -i 's/nogroup/nobody/g' tests/configs/test08*.cfg
 
 %if %{with tests}
-cd tests; ./runtests
+cd src/tests
+./runtests
 %endif
 
 %install
@@ -68,12 +64,14 @@ rm -rf $RPM_BUILD_ROOT
 %{__make} install \
 	DESTDIR=$RPM_BUILD_ROOT
 
-$RPM_BUILD_ROOT%{_sbindir}/hitch-openssl --default-config | sed '
+%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}
+
+sed '
 	s/user = ""/user = "%{hitch_user}"/g;
 	s/group = ""/group = "%{hitch_group}"/g;
 	s/backend = "\[127.0.0.1\]:8000"/backend = "[127.0.0.1]:6081"/g;
 	s/syslog = off/syslog = on/g;
-	' > hitch.conf
+	' hitch.conf.ex > hitch.conf
 	sed -i 's/daemon = off/daemon = on/g;' hitch.conf
 
 install -p -D hitch.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/hitch.conf
@@ -111,11 +109,11 @@ rm -rf $RPM_BUILD_ROOT
 
 %files
 %defattr(644,root,root,755)
-%doc README.md LICENSE
+%doc README.md LICENSE CHANGES.rst hitch.conf.ex
 %dir %{_sysconfdir}/%{name}
 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/hitch.conf
 %attr(754,root,root) /etc/rc.d/init.d/hitch
-%attr(755,root,root) %{_sbindir}/hitch-openssl
+%attr(755,root,root) %{_sbindir}/hitch
 %{_mandir}/man8/hitch.8*
 %{systemdunitdir}/hitch.service
 %{systemdtmpfilesdir}/hitch.conf
diff --git a/hitch-1.0.0-beta4.syslog.patch b/hitch-1.0.0-beta4.syslog.patch
deleted file mode 100644
index ee25003..0000000
--- a/hitch-1.0.0-beta4.syslog.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-# Fixes a segfault added in upstream , see upstream bug #37
-diff --git a/src/hitch.c b/src/hitch.c
-index c109012..eed2654 100644
---- a/src/hitch.c
-+++ b/src/hitch.c
-@@ -266,6 +266,7 @@ VWLOG(int level, const char *fmt, va_list ap)
- 	int n;
- 	va_list ap1;
- 
-+	va_copy(ap1, ap);
- 	if (CONFIG->SYSLOG) {
- 		vsyslog(level, fmt, ap);
- 	}
-@@ -293,7 +294,6 @@ VWLOG(int level, const char *fmt, va_list ap)
- 	n = strftime(buf, sizeof(buf), "%Y%m%dT%H%M%S", &tm);
- 	snprintf(buf + n, sizeof(buf) - n, ".%06d [%5d] %s",
- 	    (int) tv.tv_usec, getpid(), fmt);
--	va_copy(ap1, ap);
- 	vfprintf(logf, buf, ap1);
- 	va_end(ap1);
- }
diff --git a/hitch-1.0.1_tests_nobody_group.patch b/hitch-1.0.1_tests_nobody_group.patch
new file mode 100644
index 0000000..59b782a
--- /dev/null
+++ b/hitch-1.0.1_tests_nobody_group.patch
@@ -0,0 +1,48 @@
+diff -ru src/tests/configs.orig/test08a.cfg src/tests/configs/test08a.cfg
+--- src/tests/configs.orig/test08a.cfg	2015-07-23 15:22:17.000000000 +0200
++++ src/tests/configs/test08a.cfg	2015-10-15 21:29:42.565891140 +0200
+@@ -8,7 +8,7 @@
+ keepalive = 3600
+ chroot = ""
+ user = "nobody"
+-group = "nogroup"
++group = "nobody"
+ quiet = on
+ syslog = on
+ quiet = on
+diff -ru src/tests/configs.orig/test08b.cfg src/tests/configs/test08b.cfg
+--- src/tests/configs.orig/test08b.cfg	2015-07-23 15:22:17.000000000 +0200
++++ src/tests/configs/test08b.cfg	2015-10-15 21:29:42.566891197 +0200
+@@ -8,7 +8,7 @@
+ keepalive = 3600
+ chroot = ""
+ user = "nobody"
+-group = "nogroup"
++group = "nobody"
+ quiet = on
+ syslog = on
+ syslog-facility = "info"
+diff -ru src/tests/configs.orig/test08c.cfg src/tests/configs/test08c.cfg
+--- src/tests/configs.orig/test08c.cfg	2015-07-23 15:22:17.000000000 +0200
++++ src/tests/configs/test08c.cfg	2015-10-15 21:29:42.566891197 +0200
+@@ -8,7 +8,7 @@
+ keepalive = 3600
+ chroot = ""
+ user = "nobody"
+-group = "nogroup"
++group = "nobody"
+ quiet = on
+ syslog = on
+ syslog-facility = "daemon"
+diff -ru src/tests/configs.orig/test08d.cfg src/tests/configs/test08d.cfg
+--- src/tests/configs.orig/test08d.cfg	2015-07-23 15:22:17.000000000 +0200
++++ src/tests/configs/test08d.cfg	2015-10-15 21:29:42.566891197 +0200
+@@ -9,7 +9,7 @@
+ keepalive = 3600
+ chroot = ""
+ user = "nobody"
+-group = "nogroup"
++group = "nobody"
+ quiet = on
+ syslog = on
+ syslog-facility = "daemon"
diff --git a/hitch-1.1.0_stronger_ciphers.e7be033.patch b/hitch-1.1.0_stronger_ciphers.e7be033.patch
new file mode 100644
index 0000000..6cbd963
--- /dev/null
+++ b/hitch-1.1.0_stronger_ciphers.e7be033.patch
@@ -0,0 +1,22 @@
+From e7be0333a6f50188bd3f8649a1ea77be7ddeda95 Mon Sep 17 00:00:00 2001
+From: Lasse Karstensen <lkarsten at varnish-software.com>
+Date: Mon, 23 Nov 2015 14:29:32 +0100
+Subject: [PATCH] Use recommended cipher list in example config.
+
+---
+ hitch.conf.ex | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/hitch.conf.ex b/hitch.conf.ex
+index d76a1c2..d47523a 100644
+--- a/hitch.conf.ex
++++ b/hitch.conf.ex
+@@ -32,7 +32,7 @@ pem-file = ""
+ #
+ # Run openssl ciphers for list of available ciphers.
+ # type: string
+-ciphers = ""
++ciphers = "EECDH+AESGCM:EDH+AESGCM:AES256+EECDH:AES256+EDH"
+ 
+ # Enforce server cipher list order
+ #
diff --git a/hitch.clean_test_processes.patch b/hitch.clean_test_processes.patch
deleted file mode 100644
index b55f0c7..0000000
--- a/hitch.clean_test_processes.patch
+++ /dev/null
@@ -1,46 +0,0 @@
-# Fixes a bug in the test suite that leaves running processes behind
-
-diff -Nur tests.orig/common.sh tests/common.sh
---- tests.orig/common.sh	2015-06-18 12:01:42.000000000 +0200
-+++ tests/common.sh	2015-06-25 11:42:43.073934674 +0200
-@@ -7,13 +7,14 @@
- PIDFILE="$(mktemp -u)"
- CONFFILE="$(mktemp -u)"
- DUMPFILE="$(mktemp -u)"
-+SESSFILE="$(mktemp)"
- 
- HITCH=../src/hitch-openssl
- HITCH_ARGS="--pidfile=$PIDFILE --daemon --quiet"
- 
- cleanup() {
-         test -s $PIDFILE && kill `cat "$PIDFILE"`
--        rm -f "$PIDFILE" "$CONFFILE" "$DUMPFILE" 2>/dev/null
-+        rm -f "$PIDFILE" "$CONFFILE" "$DUMPFILE" "$SESSFILE" 2>/dev/null
- }
- trap cleanup EXIT
- 
-diff -Nur tests.orig/test06-ticket-resume tests/test06-ticket-resume
---- tests.orig/test06-ticket-resume	2015-06-25 11:33:22.324599585 +0200
-+++ tests/test06-ticket-resume	2015-06-25 11:43:13.974677607 +0200
-@@ -5,19 +5,13 @@
- . common.sh
- set +o errexit
- 
--sessfile=$(mktemp)
--function rmsess {
--	rm -f $sessfile
--}
--trap rmsess EXIT
--
- $HITCH $HITCH_ARGS --backend=[hyse.org]:80 "--frontend=[${LISTENADDR}]:$LISTENPORT" certs/site1.example.com
- test "$?" = "0" || die "Hitch did not start."
- 
--echo -e "\n" | openssl s_client -prexit -sess_out $sessfile -connect $LISTENADDR:$LISTENPORT >/dev/null 2>&1
-+echo -e "\n" | openssl s_client -prexit -sess_out $SESSFILE -connect $LISTENADDR:$LISTENPORT >/dev/null 2>&1
- test "$?" = "0" || die "s_client failed (1)"
- 
--echo -e "\n" | openssl s_client -prexit -sess_in $sessfile -connect $LISTENADDR:$LISTENPORT 2>/dev/null > $DUMPFILE
-+echo -e "\n" | openssl s_client -prexit -sess_in $SESSFILE -connect $LISTENADDR:$LISTENPORT 2>/dev/null > $DUMPFILE
- test "$?" = "0" || die "s_client failed (2)"
- 
- grep -q -c "Reused, " $DUMPFILE
diff --git a/hitch.initrc.redhat.patch b/hitch.initrc.redhat.patch
index 490f796..05e12e0 100644
--- a/hitch.initrc.redhat.patch
+++ b/hitch.initrc.redhat.patch
@@ -29,8 +29,8 @@ diff -Naur ../hitch-00b264b5537986fecfa1013cc27ad3b7b771a646.orig/hitch.initrc.r
 +pidfile="/var/run/hitch/hitch.pid"
 +lockfile="/var/lock/subsys/hitch"
 +config="/etc/hitch/hitch.conf"
-+exec="/usr/sbin/hitch-openssl"
-+prog="hitch-openssl"
++exec="/usr/sbin/hitch"
++prog="hitch"
 +
 +
 +start() {
diff --git a/hitch.systemd.service.patch b/hitch.systemd.service.patch
index 40b5ec0..ef21e35 100644
--- a/hitch.systemd.service.patch
+++ b/hitch.systemd.service.patch
@@ -23,7 +23,7 @@ diff -Naur ../hitch-00b264b5537986fecfa1013cc27ad3b7b771a646.orig/hitch.service
 +
 +Type=simple
 +PrivateTmp=true
-+ExecStart=/usr/sbin/hitch-openssl --pidfile=/run/hitch/hitch.pid --config=/etc/hitch/hitch.conf
++ExecStart=/usr/sbin/hitch --pidfile=/run/hitch/hitch.pid --config=/etc/hitch/hitch.conf
 +
 +
 +[Install]
diff --git a/hitch.test07_missing_curl_resolve_on_el6.patch b/hitch.test07_missing_curl_resolve_on_el6.patch
index 8a53c20..554e199 100644
--- a/hitch.test07_missing_curl_resolve_on_el6.patch
+++ b/hitch.test07_missing_curl_resolve_on_el6.patch
@@ -1,6 +1,6 @@
-diff -Nur ../hitch-00b264b5537986fecfa1013cc27ad3b7b771a646.orig/tests/test07-nomatch-abort ./tests/test07-nomatch-abort
---- ../hitch-00b264b5537986fecfa1013cc27ad3b7b771a646.orig/tests/test07-nomatch-abort	2015-06-18 12:01:42.000000000 +0200
-+++ ./tests/test07-nomatch-abort	2015-06-25 16:54:31.635809295 +0200
+diff -x cc2a776f -Naur ../hitch-adca8d96fa16de1f2e66717ec2b7c95b772a1204.orig/src/tests/test07-nomatch-abort ./src/tests/test07-nomatch-abort
+--- ../hitch-adca8d96fa16de1f2e66717ec2b7c95b772a1204.orig/src/tests/test07-nomatch-abort	2015-08-17 11:46:16.000000000 +0200
++++ ./src/tests/test07-nomatch-abort	2015-08-17 13:44:50.630148835 +0200
 @@ -30,5 +30,4 @@
  grep -q -c "unrecognized name" $DUMPFILE
  test "$?" = "0" || die "Expected 'unrecognized name' error."
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/hitch.git/commitdiff/66353eba298b3cca0d4a9663bf2fe9525fc10e9c



More information about the pld-cvs-commit mailing list